%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(WWW/Shorten.pm) perl(WWW/Shorten/generic.pm) perl(XML/Simple.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 1.22
%define module_name WWW-Shorten-Safe
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.22
Release: alt2
Summary: Interface to shortening URLs using http://safe.mn/, http://clic.gs/, http://go2.gs/ or http://cliks...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JS/JSOBRIER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
WWW::Shorten::Safe provides an easy interface for shortening URLs using http://safe.mn/, http://clic.gs/, http://go2.gs/ or http://cliks.fr/..

    use WWW::Shorten::Safe;

    my $url = "http://www.example.com/";

    my $short = makeashorterlink($url);
    my $long = makealongerlink($short); # "http://www.example.com/"

or

    use WWW::Shorten::Safe;

    my $url = "http://www.example.com";
    my $safe = WWW::Shorten::Safe->new();

    $safe->shorten(URL => $url);
    print "shortened URL is $safe->{safeurl}\n";

    $safe->expand(URL => $safe->{safeurl});
    print "expanded/original URL is $safe->{longurl}\n";

    my $info = $safe->info(URL => $safe->{safeurl});
    print "number of clicks: ", $info->{clicks}, "\n";



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/W*

%changelog
* Mon Jan 20 2014 Cronbuild Service <cronbuild@altlinux.org> 1.22-alt2
- rebuild to get rid of unmets

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.22-alt1
- initial import by package builder

